<template>
  <el-dialog :visible.sync="isShow.notRelated" :width="width">
    <span slot="title">{{title}}</span>
    <business-table
      ref="business"
      @createSuccess="createSuccess"
      :type="list[0].id ? 'relevance' : 'no'"
    ></business-table>
  </el-dialog>
</template>

<script>
import businessTable from "@/components/table/businessTable";

export default {
  components: {
    businessTable
  },
  props: {
    width: {
      type: String,
      default: "45%"
    },
    title: {
      type: String,
      default: "未关联元空间的业务空间"
    },
    isShow: {
      type: Object
    },
    param: {
      type: Object
    }
  },
  data() {
    return {
      list: [{}]
    };
  },
  created() { },
  mounted() { },
  methods: {
    getIdList(list, build, graphy, code) {
      this.list = list;
      console.log(this.list)
      this.$nextTick(() => {
        this.$refs.business.getData(list, build, graphy, code);
      });
    },
    createSuccess() {
      this.$emit("createSuccess")
    }
  }
};
</script>
<style>
</style>
